Module | Locale::SystemBase
In: | lib/locale/base.rb

Locale::SystemBase module. This module overrides from other concrete modules. This is a low-level class. Application shouldn‘t use this directly.

### Methods

charset get_charset locale_from_env system

### Public Instance methods

charset()

Gets the charset of the locale.

- locale: Locale::Object
- Returns: the charset of the locale

get_charset(locale)

Gets the charset of the locale.

- locale: Locale::Object
- Returns the charset of the locale

locale_from_env()

Gets the system locale using setlocale and nl_langinfo.

- Returns the system locale (Locale::Object).

system()

Gets the system locale.

- Returns the system locale (Locale::Object)

[Validate]